[@bigcommerce/checkout-sdk](../README.md) / BankInstrument

# Interface: BankInstrument

## Hierarchy

- [`BaseAccountInstrument`](BaseAccountInstrument.md)

  ↳ **`BankInstrument`**

## Table of contents

### Properties

- [accountNumber](BankInstrument.md#accountnumber)
- [bigpayToken](BankInstrument.md#bigpaytoken)
- [defaultInstrument](BankInstrument.md#defaultinstrument)
- [iban](BankInstrument.md#iban)
- [issuer](BankInstrument.md#issuer)
- [method](BankInstrument.md#method)
- [provider](BankInstrument.md#provider)
- [trustedShippingAddress](BankInstrument.md#trustedshippingaddress)
- [type](BankInstrument.md#type)

## Properties

### accountNumber

• **accountNumber**: `string`

___

### bigpayToken

• **bigpayToken**: `string`

#### Inherited from

[BaseAccountInstrument](BaseAccountInstrument.md).[bigpayToken](BaseAccountInstrument.md#bigpaytoken)

___

### defaultInstrument

• **defaultInstrument**: `boolean`

#### Inherited from

[BaseAccountInstrument](BaseAccountInstrument.md).[defaultInstrument](BaseAccountInstrument.md#defaultinstrument)

___

### iban

• **iban**: `string`

___

### issuer

• **issuer**: `string`

___

### method

• **method**: `string`

#### Overrides

[BaseAccountInstrument](BaseAccountInstrument.md).[method](BaseAccountInstrument.md#method)

___

### provider

• **provider**: `string`

#### Inherited from

[BaseAccountInstrument](BaseAccountInstrument.md).[provider](BaseAccountInstrument.md#provider)

___

### trustedShippingAddress

• **trustedShippingAddress**: `boolean`

#### Inherited from

[BaseAccountInstrument](BaseAccountInstrument.md).[trustedShippingAddress](BaseAccountInstrument.md#trustedshippingaddress)

___

### type

• **type**: ``"bank"``

#### Overrides

[BaseAccountInstrument](BaseAccountInstrument.md).[type](BaseAccountInstrument.md#type)
